package com.njcn.rdms.module.project.service.review;

import com.njcn.rdms.module.project.controller.admin.review.vo.RequirementReviewRespVO;
import com.njcn.rdms.module.project.controller.admin.review.vo.RequirementReviewSubmitReqVO;

public interface RequirementReviewService {

    Long submitProductRequirementReview(RequirementReviewSubmitReqVO reqVO);

    RequirementReviewRespVO getProductRequirementReview(Long productId, Long requirementId);

    Long submitProjectRequirementReview(RequirementReviewSubmitReqVO reqVO);

    RequirementReviewRespVO getProjectRequirementReview(Long projectId, Long requirementId);

}
